Comment 107 for bug 1297849

So I managed to provide an PPA with network-manager-applet built with my fix presented above.

You can use updated package by running:

$ sudo add-apt-repository ppa:pboldin/nm
$ sudo apt-get update
$ sudo apt-get dist-upgrade -y

It should install version 0.9.8.8-0ubuntu4.4~fixed:
$ dpkg-query -s network-manager-gnome
...
Source: network-manager-applet
Version: 0.9.8.8-0ubuntu4.4~fixed
...